# --------------------------------------------------------------------
# --- NEW AREAS ANNOUNCEMENT TEMPLATE
# --------------------------------------------------------------------
{
my $header = <<'END';

 %s following areas were auto-created at %s:
'POSIX::strftime("%A, %d %B %Y", localtime), addr2s @{$Tpl::aka}`

 Area                 Comment                                    From
 -------------------- ------------------------------------------ -------------
END
my $rec = <<'END';
 @<<<<<<<<<<<<<<<<<<< @<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<< @<<<<<<<<<<<<
` $tag, $descr, $from '
END
my $footer = <<'END';
 -----------------------------------------------------------------------------
 %d area(s)
' $count `

Thanks!

--- %s %s
'$::PRG_NAME, $::PRG_VER`
 * Origin: %s (%s)
' $::config{origin}, addr2s @{$Tpl::aka} `
END

# --------------------------------------------------------------------
#     variables used:
# $Tpl::aka		aka used (\@addr)
# %Tpl::areas		list of areas: $tag=>[$descr, \@from]

my $s;
local ($count, $tag, $descr, $from);

$s .= tpl2s($header);
$count = 0;
foreach $tag ( sort keys %Tpl::areas ) {
  $descr = $Tpl::areas{$tag}->[0]; 
  $from  = addr4s( @{$Tpl::areas{$tag}->[1]} );
  $s .= tpl2s($rec); $count++;
}
$s .= tpl2s($footer);

$s;

}
