# --------------------------------------------------------------------
# --- AREAMGR NOTIFY TEMPLATE
# --------------------------------------------------------------------
{
my $header = <<'END';

  Following are the options that are set for your system. Please let us know
  if something is not correct.

  My Aka used           : %s
' $Tpl::aka `
  AreaMgr password      : %s
' $Tpl::node->{robot_pwd} `
  File echo password    : %s
' $Tpl::node->{tic_pwd} `
  PKT password          : %s
' $Tpl::node->{pkt_pwd} `
  File attach status    : %s
' flag2s $Tpl::node->{flag_att} `
  Other mail status     : %s
' flag2s $Tpl::node->{flag_mail} `
  Current fileecho mode : %s
' $Tpl::node->{options} =~ /pause/i ? 'paused' : 'active' `
  Send notify list      : %s
' $Tpl::node->{options} =~ /notify/i ? 'on' : 'off' `
  Send messages         : %s
' $Tpl::node->{options} =~ /msg/i ? 'on' : 'off' `
  Send auto-create news : %s
' $Tpl::node->{options} =~ /news/i ? 'on' : 'off' `
  Available groups      : %s
' $Tpl::node->{groups} `
  Auto-create allowed   : %s
' defined $Tpl::node->{auto_add} ? 'yes' : 'no' `
  Forward reqs allowed  : %s
' $Tpl::node->{options} =~ /forwreqs/i ? 'yes' : 'no' `

.
END

# --------------------------------------------------------------------
#     variables used:
# $Tpl::aka		my aka (string)
# @Tpl::addr		notifying node address
# $Tpl::node		notifying node record (\%node record)
#     result is returned in @Tpl::res

my $s;
local ($mode, $kb, $files, $cgrp);

# generate list of connected area to @Tpl::areas
@Tpl::areas = ();
while ( my ($k, $v) = each %areas ) { push @Tpl::areas, $k unless ($k =~ /^[?]/) || !defined area_node($v, \@Tpl::addr); }
# sub-generate template
$s = tpl2s($header);
  @Tpl::node = @Tpl::addr;
  $Tpl::type = 'connected';
  $Tpl::empty = '  You are not connected to any fileechos';

my $ss = do 'tpl/list.pl';
if (@Tpl::res > 1) { $Tpl::res[0] = $s.$Tpl::res[0]; }
else { $s .= $ss; @Tpl::res = ($s); }
return join('', @Tpl::res);

}
