package crc32;

use strict;
use vars qw($VERSION @ISA @EXPORT @EXPORT_OK);

require Exporter;
require DynaLoader;
require AutoLoader;

@ISA = qw(Exporter DynaLoader);
# Items to export into callers namespace by default. Note: do not export
# names by default without a very good reason. Use EXPORT_OK instead.
# Do not simply export all your public functions/methods/constants.
@EXPORT = qw(
	
);
$VERSION = '0.01';

bootstrap crc32 $VERSION;

# Preloaded methods go here.

# Autoload methods go after =cut, and are processed by the autosplit program.

1;
__END__
# Below is the stub of documentation for your module. You better edit it!

=head1 NAME

crc32 - ffix module to calculate CRC-32

=head1 SYNOPSIS

For internal usage only

=head1 DESCRIPTION

=item crc32

crc32($buf, $size, $base) calculates CRC-32 of data in $buf, $size bytes/chars
long, using $base as _inverted_ CRC-32 of previous block (use -1 or ~0 for the
first block).

=head1 AUTHOR

val khokhlov

=head1 SEE ALSO

perl(1).

=cut
