# --------------------------------------------------------------------
# --- AREAMGR %HELP TEMPLATE
# --------------------------------------------------------------------
{
my $tpl = <<'END';

Address your requests to: %s
' join(", ", @{$::config{robot}}) `
Your AreaMgr password goes on the subject line.

In the body of the message to robot:

[+]<area|areamask> To connect to an fileecho or matching fileechos
-<area|areamask>   To disconnect from an fileecho or matching fileechos
%H[ELP]            To request this help message
%L[IST]            To request a list of fileechos available to you
%Q[UERY]           To request a list of fileechos for which you are active
%U[NLINKED]        To request a list of fileechos available to you,
                   to which you are not allready connected.
%AVAIL             To request a list of fileechos available to you by
                   forward-requests
%+[ALL]            To connect to all all fileechos
%-[ALL]            To disconnect from all fileechos
%+GROUP <group>    To connect to a group of file echos
%-GROUP <group>    To disconnect a group of file echos
%NOTIFY [on/off]   To turn the notify function on/off for your system
%MESSAGE [on/off]  To turn the message function on/off for your system
%NEWS [on/off]     To turn notification about area auto-create for your system
%S[TATUS]          To request a status report (notify, message etc)
%PAUSE             To temporarily turn off all fileechos
%RESUME            To turn any inactive fileechos back on
[---]              Everything below the tear line is ignored

You can use following special symbols in <areamask>:
  '?' for any single character (like '.' in RegExp)
  '*' for any number of any characters, non-gready (like '.*?' in RegExp)

Example:

  From: %-32s %s
' $Tpl::from, $Tpl::sfrom `
  To  : %-32s %s
' $::config{robot}[0], $Tpl::aka `
  Subj: <password>
  -------------------------------------------------
  +NODEDIFF
  -R??*PNT
  %QUERY
  %LIST
  %NOTIFY on

--- %s %s
'$::PRG_NAME, $::PRG_VER`
END

# --------------------------------------------------------------------
#     variables used:
# $Tpl::aka		my aka
# $Tpl::from		request sender name
# $Tpl::sfrom		request sender address
tpl2s($tpl);

}
