# --------------------------------------------------------------------
# --- NETMAIL ANNOUNCEMENT ABOUT FILE SENDING TEMPLATE
# --------------------------------------------------------------------
{
my $header = <<'END';

 %s, %s sent the following files to your system.
'POSIX::strftime("%A, %d %B %Y", localtime), addr2s @{$Tpl::aka}`
END
my $area_hdr = <<'END';

 Area : @<<<<<<<<<<<<<<<<<<< Comment : @<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
`$area, $::areas{$area}{descr}'
 -----------------------------------------------------------------------------
END
my $area_ftr = <<'END';
 -----------------------------------------------------------------------------
END
my $file_hdr = <<'END';
 @<<<<<<<<<<< @>>>>>>>>> @<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
`$file{file}, $file{size}, $file{ldesc}'
END
my $footer = <<'END';
 %11d bytes in %d file(s)
'$tot_bytes, $tot_files`

Thanks!

--- %s %s
'$::PRG_NAME, $::PRG_VER`
END

# --------------------------------------------------------------------
#     variables used:
# $Tpl::aka		aka used (\@addr)
# @Tpl::areas		list of areas
# %Tpl::files		hash of area=>[files], files - array of fileinfo structures

my $s;
local ($tot_bytes, $tot_files, $area, %file);

$s .= tpl2s($header);
$tot_bytes = $tot_files = 0;
foreach $area (@Tpl::areas) {
  $s .= tpl2s($area_hdr);
  foreach my $f (@{$Tpl::files{$area}}) {
    %file = %$f;
    $tot_files++; $tot_bytes += $file{'size'};
    $s .= tpl2s($file_hdr);
  }
  $s .= tpl2s($area_ftr);
}
$s .= tpl2s($footer);

$s;

}
